#
# Aura Engine API (https://gitlab.servus.at/aura/engine-api)
#
# Copyright (C) 2020 - The Aura Engine Team.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class TrackService():


    def __init__(self):
        pass


    def current_track(self):  
        """
        Retrieves the currently playing track.  

        Returns:
            (PlayLogEntry)
        """
        return "current track"


    def get_track(self, track_id):  
        """
        Retrieves a single track by its ID.  

        Args:
            track_id (Integer): ID of the track-service entry

        Returns:
            (PlayLogEntry)
        """
        return "a single track by id"


    def list_tracks(self, offset=None, limit=None):  
        """
        Lists the most recent track-service entries.  

        Args:
            offset (Integer): The number of items to skip before starting to collect the result set
            limit (Integer): The numbers of items to return

        Returns:
            (List[PlayLogEntry])
        """
        return "some list of tracks"





trackService = TrackService()